> For the complete documentation index, see [llms.txt](https://docs.servoy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.servoy.com/reference/servoy-developer/solution-explorer/all-solutions/active-solution/modules/module.md).

# Module

## Overview

Each item represent a module created for the active solution. Expanding the module will display the same list of nodes as contained by the [active solution](/reference/servoy-developer/solution-explorer/all-solutions/active-solution.md#overview), except for [Modules](/reference/servoy-developer/solution-explorer/all-solutions/active-solution/modules.md#overview).

## Properties Summary

See [Solution Object Model](/reference/servoycore/object-model/solution.md#property-summary) for properties that can be set on a **Module** from Properties View.

## Commands Summary

A summary of commands available on this item via right-click context menu:

| Command                                               | Summary                                                |
| ----------------------------------------------------- | ------------------------------------------------------ |
| [Activate solution](#activate-solution)               | Change active solution to selected module.             |
| [Change resources project](#change-resources-project) | Changes resources project attached to module           |
| [Publish](#publish)                                   | Publishes solution Git repository to Servoy Cloud      |
| [Remove module](#remove-module)                       | Remove solution as module to active solution           |
| [Delete solution](#delete-solution)                   | Remove module (can choose to also delete it from disk) |
| [Rename solution](#rename-solution)                   | Can choose a new name for your module                  |
| [Run JSUnit tests](#run-jsunit-tests)                 | Runs jsunit tests from the solution                    |

## Commands Details

The details for each command available on this item via right-click context menu:

### Activate solution

Changes the active solution to selected module. Active solution is the one being edited and run in Servoy Developer.

### Change resources project

Can select a new resources project (or no resources project). Some Servoy Developer resources are kept under a different project, that can be re used by different solutions. Basically , what you see under [Resources](https://github.com/Servoy/gitbook/blob/master/reference/servoy-developer/solution-explorer/all-solutions/active-solution/resources/README.md) is saved under the resources project. Changing the resources project will reload all those resources from the new project. The module must have same resources project as its main solution.

### Publish

Publishes solution Git repository to Servoy Cloud. The local git repository must be in sync with remote repository (no changes).

### Remove module

Removes solution as module to active solution. The module itself is not deleted.

### Delete solution

Removes solution (can choose to also delete it from disk).

### Rename solution

You can choose a new name for your solution.

{% hint style="warning" %}
Warning\
Use with care.
{% endhint %}

### Run JSUnit tests

Runs JSUnit tests from selected module. See [Unit Testing](/reference/servoy-developer/object-editors/scripting-editor/unit-tests.md) for what is unit testing and [JSUnit API](/reference/servoycore/dev-api/jsunit.md) for JSUnit testing API.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.servoy.com/reference/servoy-developer/solution-explorer/all-solutions/active-solution/modules/module.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
